Retrieve a Neptune backup
Returns a representation of the specified Neptune backup.
Path Parameters
- backup_id string required
Performs the operation on the backup with the specified ID.
- 200
- default
Success
- application/api.clumio.backup-aws-neptune=v1+json
- Schema
- Example (from schema)
Schema
- account_native_id string
The AWS-assigned ID of the account associated with this database at the time of backup.
- aws_azs string[]
The AWS availability zones associated with this database at the time of backup.
- aws_region string
The AWS region associated with this environment.
- database_native_id string
The AWS-assigned ID of the database at the time of backup.
- engine string
The AWS database engine at the time of backup.
- engine_version string
The aws database engine version at the time of backup.
- expiration_timestamp string
The timestamp of when this backup expires. Represented in RFC-3339 format.
- id string
The Clumio-assigned ID of the backup.
instances object[]
The instances associated with a backup RDS resource.
class stringThe class of the RDS instance at the time of backup. Possible values include
db.r5.2xlargeanddb.t2.small. For a full list of possible values, refer to the Amazon documentation at https://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/Concepts.DBInstanceClass.html.is_publicly_accessible booleanDetermines whether the RDS instance had a public IP address in addition to the private IP address at the time of backup. For more information about the public access option, refer to the Amazon documentation at https://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/USER_VPC.WorkingWithRDSInstanceinaVPC.html.
name stringThe AWS-assigned name of the RDS instance at the time of backup.
- kms_key_native_id string
The AWS-assigned ID of the KMS key associated with this database at the time of backup.
- migration_timestamp string
The timestamp of when the migration was triggered. This field will be set only for migration granular backups. Represented in RFC-3339 format.
- option_group_name string
Option group name associated with the backed up RDS resource.
- parameter_group_name string
Parameter group name associated with the backed up RDS resource.
- resource_id string
The Clumio-assigned ID of the database associated with this backup.
- resource_type string
The type of the RDS resource associated with this backup. Possible values include
aws_rds_clusterandaws_rds_instance. - security_group_native_ids string[]
The AWS-assigned IDs of the security groups associated with this RDS resource backup.
- size int64
The size of the RDS resource backup. Measured in bytes (B).
- start_timestamp string
The timestamp of when this backup started. Represented in RFC-3339 format.
- subnet_group_name string
The AWS-assigned name of the subnet group associated with this RDS resource backup.
tags object[]
The AWS tags associated with the database at the time of backup.
key stringThe AWS-assigned tag key.
value stringThe AWS-assigned tag value.
- type string
The type of backup. Possible values include
clumio_snapshotandgranular_backup.
{
"account_native_id": "string",
"aws_azs": [
"string"
],
"aws_region": "string",
"database_native_id": "string",
"engine": "string",
"engine_version": "string",
"expiration_timestamp": "string",
"id": "string",
"instances": [
{
"class": "string",
"is_publicly_accessible": true,
"name": "string"
}
],
"kms_key_native_id": "string",
"migration_timestamp": "string",
"option_group_name": "string",
"parameter_group_name": "string",
"resource_id": "string",
"resource_type": "string",
"security_group_native_ids": [
"string"
],
"size": 0,
"start_timestamp": "string",
"subnet_group_name": "string",
"tags": [
{
"key": "string",
"value": "string"
}
],
"type": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}